(********************************************************************************)(**
\file      OVR_CAPI_Keys.pas
\brief     Keys for CAPI proprty function calls
\copyright Copyright 2015 Oculus VR, LLC All Rights reserved.
************************************************************************************)
unit OVR_CAPI_Keys;

interface

uses
  OVR_Version;

const
  OVR_KEY_USER                       = 'User';               // string

  OVR_KEY_NAME                       = 'Name';               // string

  OVR_KEY_GENDER                     = 'Gender';             // string 'Male', 'Female', or 'Unknown'
  OVR_DEFAULT_GENDER                 = 'Unknown';

  OVR_KEY_PLAYER_HEIGHT              = 'PlayerHeight';       // float meters
  OVR_DEFAULT_PLAYER_HEIGHT          = 1.778;

  OVR_KEY_EYE_HEIGHT                 = 'EyeHeight';          // float meters
  OVR_DEFAULT_EYE_HEIGHT             = 1.675;

  OVR_KEY_NECK_TO_EYE_DISTANCE       = 'NeckEyeDistance';    // float[2] meters
  OVR_DEFAULT_NECK_TO_EYE_HORIZONTAL = 0.0805;
  OVR_DEFAULT_NECK_TO_EYE_VERTICAL   = 0.075;


  OVR_KEY_EYE_TO_NOSE_DISTANCE       = 'EyeToNoseDist';      // float[2] meters





  OVR_PERF_HUD_MODE                       = 'PerfHudMode';                       // int, allowed values are defined in enum ovrPerfHudMode

  OVR_LAYER_HUD_MODE                      = 'LayerHudMode';                      // int, allowed values are defined in enum ovrLayerHudMode
  OVR_LAYER_HUD_CURRENT_LAYER             = 'LayerHudCurrentLayer';              // int, The layer to show 
  OVR_LAYER_HUD_SHOW_ALL_LAYERS           = 'LayerHudShowAll';                   // bool, Hide other layers when the hud is enabled

  OVR_DEBUG_HUD_STEREO_MODE               = 'DebugHudStereoMode';                // int, allowed values are defined in enum ovrDebugHudStereoMode
  OVR_DEBUG_HUD_STEREO_GUIDE_INFO_ENABLE  = 'DebugHudStereoGuideInfoEnable';     // bool
  OVR_DEBUG_HUD_STEREO_GUIDE_SIZE         = 'DebugHudStereoGuideSize2f';         // float[2]
  OVR_DEBUG_HUD_STEREO_GUIDE_POSITION     = 'DebugHudStereoGuidePosition3f';     // float[3]
  OVR_DEBUG_HUD_STEREO_GUIDE_YAWPITCHROLL = 'DebugHudStereoGuideYawPitchRoll3f'; // float[3]
  OVR_DEBUG_HUD_STEREO_GUIDE_COLOR        = 'DebugHudStereoGuideColor4f';        // float[4]

implementation

end.